API ReferenceapicommunityGET /v1/comparisons/{after_milestone_id}

GET /v1/comparisons/\{after_milestone_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • after_milestone_id (string) required

Responses

200 Comparison fetched

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "before_milestone_id": {
      "type": "string"
    },
    "after_milestone_id": {
      "type": "string"
    },
    "summary": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "before_milestone_id",
    "after_milestone_id",
    "summary",
    "created_at"
  ]
}

404 Comparison not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/comparisons/{after_milestone_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"